/**
 * 
 */
package fr.ge.common.regent.bean.formalite.profil.creation;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import fr.ge.common.regent.bean.formalite.dialogue.creation.AyantDroitBean;
import fr.ge.common.regent.bean.formalite.dialogue.creation.DeclarationSocialeBean;
import fr.ge.common.regent.bean.formalite.dialogue.creation.DirigeantBean;
import fr.ge.common.regent.bean.formalite.dialogue.creation.EtablissementBean;

/**
 * @author mmouhous
 *
 */

public class BeanTest {

	@Test
	public void ProfilCreationBeanTestok() {
		ProfilCreationBean bean = new ProfilCreationBean();
		
		bean.setActiviteDesCreation("content");
		assertEquals("content",bean.getActiviteDesCreation());
		bean.setActiviteDptSiege("content");
		assertEquals("content",bean.getActiviteDptSiege());
		bean.setActiviteLPS("content");
		assertEquals("content",bean.getActiviteLPS());
		bean.setActiviteNonSalarie("content");
		assertEquals("content",bean.getActiviteNonSalarie());
		bean.setActivitePrincipaleCodeActivite("content");
		assertEquals("content",bean.getActivitePrincipaleCodeActivite());
		bean.setActivitePrincipaleDomaine("content");
		assertEquals("content",bean.getActivitePrincipaleDomaine());
		bean.setActivitePrincipaleDomaine1("content");
		assertEquals("content",bean.getActivitePrincipaleDomaine1());
		bean.setActivitePrincipaleDomaine2("content");
		assertEquals("content",bean.getActivitePrincipaleDomaine2());
		bean.setActivitePrincipaleLibelleActivite("content");
		assertEquals("content",bean.getActivitePrincipaleLibelleActivite());
		bean.setActivitePrincipaleSecteur("content");
		assertEquals("content",bean.getActivitePrincipaleSecteur());
		bean.setActivitePrincipaleSecteur1("content");
		assertEquals("content",bean.getActivitePrincipaleSecteur1());
		bean.setActivitePrincipaleSecteur2("content");
		assertEquals("content",bean.getActivitePrincipaleSecteur2());
		bean.setActivitePrincipaleSecteur3("content");
		assertEquals("content",bean.getActivitePrincipaleSecteur3());
		bean.setActiviteSecondaireCodeActivite("content");
		assertEquals("content",bean.getActiviteSecondaireCodeActivite());
		bean.setActiviteSecondaireDomaine("content");
		assertEquals("content",bean.getActiviteSecondaireDomaine());
		bean.setActiviteSecondaireDomaine1("content");
		assertEquals("content",bean.getActiviteSecondaireDomaine1());
		bean.setActiviteSecondaireDomaine2("content");
		assertEquals("content",bean.getActiviteSecondaireDomaine2());
		bean.setActiviteSecondaireLibelleActivite("content");
		assertEquals("content",bean.getActiviteSecondaireLibelleActivite());
		bean.setActiviteSecondaireSecteur("content");
		assertEquals("content",bean.getActiviteSecondaireSecteur());
		bean.setActiviteSecondaireSecteur1("content");
		assertEquals("content",bean.getActiviteSecondaireSecteur1());
		bean.setActiviteSecondaireSecteur2("content");
		assertEquals("content",bean.getActiviteSecondaireSecteur2());
		bean.setActiviteSecondaireSecteur3("content");
		assertEquals("content",bean.getActiviteSecondaireSecteur3());
		bean.setActiviteSiege("content");
		assertEquals("content",bean.getActiviteSiege());
		bean.setAmbulant("content");
		assertEquals("content",bean.getAmbulant());
		bean.setCodeDepartement("content");
		assertEquals("content",bean.getCodeDepartement());
		bean.setExisteActiviteSecondaire("content");
		assertEquals("content",bean.getExisteActiviteSecondaire());
		bean.setNomDossier("content");
		assertEquals("content",bean.getNomDossier());
		bean.setNonConnaissanceSecteurPrincipal("content");
		assertEquals("content",bean.getNonConnaissanceSecteurPrincipal());
		bean.setNonConnaissanceSecteurSecondaire("content");
		assertEquals("content",bean.getNonConnaissanceSecteurSecondaire());
		bean.setNumeroFormalite("content");
		assertEquals("content",bean.getNumeroFormalite());
		bean.setOptionCMACCI("content");
		assertEquals("content",bean.getOptionCMACCI());
		bean.setOptionCMACCI1("content");
		assertEquals("content",bean.getOptionCMACCI1());
		bean.setOptionCMACCI2("content");
		assertEquals("content",bean.getOptionCMACCI2());
		bean.setSecteurCfe("content");
		assertEquals("content",bean.getSecteurCfe());
		bean.setTypeCfe("content");
		assertEquals("content",bean.getTypeCfe());
		bean.setReseauCFE("content");
		assertEquals("content",bean.getReseauCFE());
		bean.setTypePersonne("content");
		assertEquals("content",bean.getTypePersonne());
		bean.setRechercheActiviteOuiNon("content");
		assertEquals("content",bean.getRechercheActiviteOuiNon());
		bean.setRechercheActiviteOuiNonLibelle("content");
		assertEquals("content",bean.getRechercheActiviteOuiNonLibelle());
		bean.setRechercheActivite("content");
		assertEquals("content",bean.getRechercheActivite());
		bean.setRechercheActiviteSecondaireOuiNon("content");
		assertEquals("content",bean.getRechercheActiviteSecondaireOuiNon());
		bean.setRechercheActiviteSecondaire("content");
		assertEquals("content",bean.getRechercheActiviteSecondaire());
		bean.setCodeNafPrincipal("content");
		assertEquals("content",bean.getCodeNafPrincipal());
		bean.setCodeNafSecondaire("content");
		assertEquals("content",bean.getCodeNafSecondaire());
		bean.setAutDebitDeBoisson("content");
		assertEquals("content",bean.getAutDebitDeBoisson());
		bean.setMicroSocialOuiNon("content");
		assertEquals("content",bean.getMicroSocialOuiNon());
		bean.setEirlOuiNon("content");
		assertEquals("content",bean.getEirlOuiNon());
		bean.setTexteMicroSocial("content");
		assertEquals("content",bean.getTexteMicroSocial());
		bean.setActivitePrincipaleCodeActiviteNonMicro("content");
		assertEquals("content",bean.getActivitePrincipaleCodeActiviteNonMicro());
		bean.setActivitePrincipaleCodeActiviteMicro("content");
		assertEquals("content",bean.getActivitePrincipaleCodeActiviteMicro());
		bean.setExisteActiviteSecondaireNonMicro("content");
		assertEquals("content",bean.getExisteActiviteSecondaireNonMicro());
		bean.setExisteActiviteSecondaireMicro("content");
		assertEquals("content",bean.getExisteActiviteSecondaireMicro());
		bean.setActiviteSecondaireCodeActiviteNonMicro("content");
		assertEquals("content",bean.getActiviteSecondaireCodeActiviteNonMicro());
		bean.setActiviteSecondaireCodeActiviteMicro("content");
		assertEquals("content",bean.getActiviteSecondaireCodeActiviteMicro());
		bean.setActivitePrincipaleSecteurNonMicro("content");
		assertEquals("content",bean.getActivitePrincipaleSecteurNonMicro());
		bean.setActivitePrincipaleSecteurMicro("content");
		assertEquals("content",bean.getActivitePrincipaleSecteurMicro());
		bean.setActiviteSecondaireSecteurNonMicro("content");
		assertEquals("content",bean.getActiviteSecondaireSecteurNonMicro());
		bean.setActiviteSecondaireSecteurMicro("content");
		assertEquals("content",bean.getActiviteSecondaireSecteurMicro());
		bean.setTypePersonneNonMicro("content");
		assertEquals("content",bean.getTypePersonneNonMicro());
		bean.setTypePersonneMicro("content");
		assertEquals("content",bean.getTypePersonneMicro());
		
	}
	
	@Test
	public void CfeBeanTestok() {
		CfeBean bean = new CfeBean();
		bean.setAdresse1("content");
		assertEquals("content",bean.getAdresse1());
		bean.setAdresse2("content");
		assertEquals("content",bean.getAdresse2());
		bean.setAdresse3("content");
		assertEquals("content",bean.getAdresse3());
		bean.setCode("content");
		assertEquals("content",bean.getCode());
		bean.setFax("content");
		assertEquals("content",bean.getFax());
		bean.setLabelActivitesSimplifiees("content");
		assertEquals("content",bean.getLabelActivitesSimplifiees());
		bean.setLienAgencePresseLE("content");
		assertEquals("content",bean.getLienAgencePresseLE());
		bean.setLienAgencePresseLPS("content");
		assertEquals("content",bean.getLienAgencePresseLPS());
		bean.setLienAgentVoyageLE("content");
		assertEquals("content",bean.getLienAgentVoyageLE());
		bean.setLienAgentVoyageLPS("content");
		assertEquals("content",bean.getLienAgentVoyageLPS());
		bean.setLienCollecteDechetsHuile("content");
		assertEquals("content",bean.getLienCollecteDechetsHuile());
		bean.setLienCollecteDechetsPneus("content");
		assertEquals("content",bean.getLienCollecteDechetsPneus());
		bean.setLienControleurAscenceurLE("content");
		assertEquals("content",bean.getLienControleurAscenceurLE());
		bean.setLienControleurAscenceurLPS("content");
		assertEquals("content",bean.getLienControleurAscenceurLPS());
		bean.setLienDebitTabac("content");
		assertEquals("content",bean.getLienDebitTabac());
		bean.setLienDiagnostiqueurImmobilierLE("content");
		assertEquals("content",bean.getLienDiagnostiqueurImmobilierLE());
		bean.setLienDiagnostiqueurImmobilierLPS("content");
		assertEquals("content",bean.getLienDiagnostiqueurImmobilierLPS());
		bean.setLienEditeur("content");
		assertEquals("content",bean.getLienEditeur());
		bean.setLienExplorationPlateauContinentalLE("content");
		assertEquals("content",bean.getLienExplorationPlateauContinentalLE());
		bean.setLienExplorationPlateauContinentalLPS("content");
		assertEquals("content",bean.getLienExplorationPlateauContinentalLPS());
		bean.setLienGenieClimatiqueLE("content");
		assertEquals("content",bean.getLienGenieClimatiqueLE());
		bean.setLienGenieClimatiqueLPS("content");
		assertEquals("content",bean.getLienGenieClimatiqueLPS());
		bean.setLienGestionDechets("content");
		assertEquals("content",bean.getLienGestionDechets());
		bean.setLienPublicationPeriodiques("content");
		assertEquals("content",bean.getLienPublicationPeriodiques());
		bean.setLienTerrassement("content");
		assertEquals("content",bean.getLienTerrassement());
		bean.setLienTraitementDechetsHuile("content");
		assertEquals("content",bean.getLienTraitementDechetsHuile());
		bean.setLienTraitementDechetsPneus("content");
		assertEquals("content",bean.getLienTraitementDechetsPneus());
		bean.setMail("content");
		assertEquals("content",bean.getMail());
		bean.setNom("content");
		assertEquals("content",bean.getNom());
		bean.setObservation("content");
		assertEquals("content",bean.getObservation());
		bean.setPriseConnaissance("content");
		assertEquals("content",bean.getPriseConnaissance());
		bean.setSite("content");
		assertEquals("content",bean.getSite());
		bean.setTelephone("content");
		assertEquals("content",bean.getTelephone());
	}
	
	@Test
	public void profilCreationVeanV2Test() {
		ProfilCreationBeanV2 bean = new ProfilCreationBeanV2();
		bean.setDescrLibreActivitePrincipale("content");
		assertEquals("content",bean.getDescrLibreActivitePrincipale());
		bean.setActivitePrincipaleNonTrouve("content");
		assertEquals("content",bean.getActivitePrincipaleNonTrouve());
		bean.setCodeCfe("content");
		assertEquals("content",bean.getCodeCfe());
		bean.setAqpaStr("content");
		assertEquals("content",bean.getAqpaStr());
		bean.setDescrLibreActiviteSecondaire("content");
		assertEquals("content",bean.getDescrLibreActiviteSecondaire());
		bean.setActiviteSecondaireNonTrouve("content");
		assertEquals("content",bean.getActiviteSecondaireNonTrouve());
		bean.setCodeCfe2("content");
		assertEquals("content",bean.getCodeCfe2());
		bean.setActivitePrincipaleSecteurMicro1("content");
		assertEquals("content",bean.getActivitePrincipaleSecteurMicro1());
		bean.setActivitePrincipaleSecteurMicro2("content");
		assertEquals("content",bean.getActivitePrincipaleSecteurMicro2());
		bean.setActiviteSecondaireSecteurMicro1("content");
		assertEquals("content",bean.getActiviteSecondaireSecteurMicro1());
		bean.setActiviteSecondaireSecteurMicro2("content");
		assertEquals("content",bean.getActiviteSecondaireSecteurMicro2());
		bean.setActivitePrincipaleSecteurMicroTampon("content");
		assertEquals("content",bean.getActivitePrincipaleSecteurMicroTampon());
		bean.setPrecisionActivitePrincipale("content");
		assertEquals("content",bean.getPrecisionActivitePrincipale());
		bean.setPrecisionActiviteSecondaire("content");
		assertEquals("content",bean.getPrecisionActiviteSecondaire());
	}
	@Test
	public void DeclarationSocialeBeanTest() {
		DeclarationSocialeBean bean = new DeclarationSocialeBean();
		
		bean.setActiviteAutreQueDeclareeDepartement("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareeDepartement());
		bean.setActiviteAutreQueDeclareePays("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareePays());
		bean.setActiviteAutreQueDeclareePresence("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareePresence());
		bean.setActiviteAutreQueDeclareeStatut("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareeStatut());
		bean.setActiviteAutreQueDeclareeStatutAutre("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareeStatutAutre());
		bean.setActiviteExerceeAnterieurementCodeGeographique("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementCodeGeographique());
		bean.setActiviteExerceeAnterieurementCommune("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementCommune());
		bean.setActiviteExerceeAnterieurementDateCessation("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementDateCessation());
		bean.setActiviteExerceeAnterieurementDepartement("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementDepartement());
		bean.setActiviteExerceeAnterieurementLibelle("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementLibelle());
		bean.setActiviteExerceeAnterieurementPays("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementPays());
		bean.setActiviteExerceeAnterieurementPresence("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementPresence());
		bean.setActiviteExerceeAnterieurementSIREN("content");
		assertEquals("content",bean.getActiviteExerceeAnterieurementSIREN());
		bean.setAffiliationMSA("content");
		assertEquals("content",bean.getAffiliationMSA());
//		bean.setAyantDroitNombre(1);
//		assertEquals(1,bean.getAyantDroitNombre());
		bean.setAyantDroitPresence("content");
		assertEquals("content",bean.getAyantDroitPresence());
		bean.setConjointCouvertAssuranceMaladie1("content");
		assertEquals("content",bean.getConjointCouvertAssuranceMaladie1());
		bean.setConjointCouvertAssuranceMaladie2("content");
		assertEquals("content",bean.getConjointCouvertAssuranceMaladie2());
		bean.setConjointNumeroSecuriteSociale("content");
		assertEquals("content",bean.getConjointNumeroSecuriteSociale());
		bean.setDemandeDotationJeuneAgriculteur("content");
		assertEquals("content",bean.getDemandeDotationJeuneAgriculteur());
		bean.setDepartementOrganismeConventionne("content");
		assertEquals("content",bean.getDepartementOrganismeConventionne());
		bean.setEstBeneficiaireRSARMI("content");
		assertEquals("content",bean.getEstBeneficiaireRSARMI());
		bean.setEstJeuneAgriculteur("content");
		assertEquals("content",bean.getEstJeuneAgriculteur());
		bean.setDateNaissanceDirigeant("content");
		assertEquals("content",bean.getDateNaissanceDirigeant());
		bean.setNumeroSecuriteSociale("content");
		assertEquals("content",bean.getNumeroSecuriteSociale());
		bean.setOptionMicroSocial("content");
		assertEquals("content",bean.getOptionMicroSocial());
		bean.setOptionMicroSocialVersement("content");
		assertEquals("content",bean.getOptionMicroSocialVersement());
		bean.setOrganismeConventionneCode("content");
		assertEquals("content",bean.getOrganismeConventionneCode());
		bean.setOrganismeConventionneCodeReseauA("content");
		assertEquals("content",bean.getOrganismeConventionneCodeReseauA());
		bean.setOrganismeConventionneCodeReseauNonA("content");
		assertEquals("content",bean.getOrganismeConventionneCodeReseauNonA());
		bean.setOrganismeConventionneLibelle("content");
		assertEquals("content",bean.getOrganismeConventionneLibelle());
		bean.setOrganismeServantPension("content");
		assertEquals("content",bean.getOrganismeServantPension());
		bean.setRegimeAssuranceMaladie("content");
		assertEquals("content",bean.getRegimeAssuranceMaladie());
		bean.setRegimeAssuranceMaladieAutre("content");
		assertEquals("content",bean.getRegimeAssuranceMaladieAutre());
		bean.setStatutConjoint("content");
		assertEquals("content",bean.getStatutConjoint());
		bean.setTitreSejourDateExpiration("content");
		assertEquals("content",bean.getTitreSejourDateExpiration());
		bean.setTitreSejourLieuDelivranceCode("content");
		assertEquals("content",bean.getTitreSejourLieuDelivranceCode());
		bean.setTitreSejourLieuDelivranceCommune("content");
		assertEquals("content",bean.getTitreSejourLieuDelivranceCommune());
	}
	@Test
	public void AyantDroitBeanTest() {
		AyantDroitBean bean = new AyantDroitBean();
		
		bean.setIdTechnique("content");
		assertEquals("content",bean.getIdTechnique());
		bean.setActiviteAutreQueDeclareeDepartement("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareeDepartement());
		bean.setActiviteAutreQueDeclareePays("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareePays());
		bean.setActiviteAutreQueDeclareePresence("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareePresence());
		bean.setActiviteAutreQueDeclareeStatut("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareeStatut());
		bean.setActiviteAutreQueDeclareeStatutAutre("content");
		assertEquals("content",bean.getActiviteAutreQueDeclareeStatutAutre());
		bean.setAffiliationMSA("content");
		assertEquals("content",bean.getAffiliationMSA());
//		bean.setAyantDroitNombre(1);
//		assertEquals(1,bean.getAyantDroitNombre());
		bean.setAyantDroitPresence("content");
		assertEquals("content",bean.getAyantDroitPresence());
		bean.setConjointCouvertAssuranceMaladie("content");
		assertEquals("content",bean.getConjointCouvertAssuranceMaladie());
		bean.setEnfantScolarise("content");
		assertEquals("content",bean.getEnfantScolarise());
		bean.setIdentiteComplementCivilite("content");
		assertEquals("content",bean.getIdentiteComplementCivilite());
		bean.setIdentiteComplementDateNaissance("content");
		assertEquals("content",bean.getIdentiteComplementDateNaissance());
		bean.setIdentiteComplementLieuNaissanceCommune("content");
		assertEquals("content",bean.getIdentiteComplementLieuNaissanceCommune());
		bean.setIdentiteComplementLieuNaissanceDepartement("content");
		assertEquals("content",bean.getIdentiteComplementLieuNaissanceDepartement());
		bean.setIdentiteComplementLieuNaissancePays("content");
		assertEquals("content",bean.getIdentiteComplementLieuNaissancePays());
		bean.setIdentiteComplementLieuNaissanceVille("content");
		assertEquals("content",bean.getIdentiteComplementLieuNaissanceVille());
		bean.setIdentiteNationalite("content");
		assertEquals("content",bean.getIdentiteNationalite());
		bean.setIdentiteNomNaissance("content");
		assertEquals("content",bean.getIdentiteNomNaissance());
		bean.setIdentitePrenom1("content");
		assertEquals("content",bean.getIdentitePrenom1());
		bean.setIdentitePrenom2("content");
		assertEquals("content",bean.getIdentitePrenom2());
		bean.setIdentitePrenom3("content");
		assertEquals("content",bean.getIdentitePrenom3());
		bean.setIdentitePrenom4("content");
		assertEquals("content",bean.getIdentitePrenom4());
		bean.setLienParente("content");
		assertEquals("content",bean.getLienParente());
		bean.setNiveau("content");
		assertEquals("content",bean.getNiveau());
		bean.setNumeroSecuriteSociale("content");
		assertEquals("content",bean.getNumeroSecuriteSociale());
		bean.setNumeroSecuriteSocialeConnu("content");
		assertEquals("content",bean.getNumeroSecuriteSocialeConnu());
		bean.setOrganismeConventionneCode("content");
		assertEquals("content",bean.getOrganismeConventionneCode());
		bean.setOrganismeServantPension("content");
		assertEquals("content",bean.getOrganismeServantPension());
		bean.setRegimeAssuranceMaladie("content");
		assertEquals("content",bean.getRegimeAssuranceMaladie());
		bean.setRegimeAssuranceMaladieAutre("content");
		assertEquals("content",bean.getRegimeAssuranceMaladieAutre());
		bean.setTitreSejourDateExpiration("content");
		assertEquals("content",bean.getTitreSejourDateExpiration());
		bean.setTitreSejourLieuDelivranceCommune("content");
		assertEquals("content",bean.getTitreSejourLieuDelivranceCommune());
		bean.setTitreSejourNumero("content");
		assertEquals("content",bean.getTitreSejourNumero());
	}
	
	@Test
	public void DirigeantBeanTest() {
		DirigeantBean bean = new DirigeantBean();
		
		bean.setIdTechnique("content");
		assertEquals("content",bean.getIdTechnique());
		bean.setDirigeantPresentStatuts("content");
		assertEquals("content",bean.getDirigeantPresentStatuts());
		bean.setInscriptionCACPubliee("content");
		assertEquals("content",bean.getInscriptionCACPubliee());
		bean.setNature("content");
		assertEquals("content",bean.getNature());
		bean.setPmDenomination("content");
		assertEquals("content",bean.getPmDenomination());
		bean.setPmFormeJuridique("content");
		assertEquals("content",bean.getPmFormeJuridique());
		bean.setPmLieuImmatriculation("content");
		assertEquals("content",bean.getPmLieuImmatriculation());
		bean.setPmNumeroIdentification("content");
		assertEquals("content",bean.getPmNumeroIdentification());
		bean.setPmRepresentantCivilite("content");
		assertEquals("content",bean.getPmRepresentantCivilite());
		bean.setPmRepresentantDateNaissance("content");
		assertEquals("content",bean.getPmRepresentantDateNaissance());
		bean.setPmRepresentantLieuNaissanceCommune("content");
		assertEquals("content",bean.getPmRepresentantLieuNaissanceCommune());
		bean.setPmRepresentantLieuNaissanceDepartement("content");
		assertEquals("content",bean.getPmRepresentantLieuNaissanceDepartement());
		bean.setPmRepresentantLieuNaissancePays("content");
		assertEquals("content",bean.getPmRepresentantLieuNaissancePays());
		bean.setPmRepresentantLieuNaissanceVille("content");
		assertEquals("content",bean.getPmRepresentantLieuNaissanceVille());
		bean.setPmRepresentantNationalite("content");
		assertEquals("content",bean.getPmRepresentantNationalite());
		bean.setPmRepresentantNomNaissance("content");
		assertEquals("content",bean.getPmRepresentantNomNaissance());
		bean.setPmRepresentantNomUsage("content");
		assertEquals("content",bean.getPmRepresentantNomUsage());
		bean.setPmRepresentantPMPrenom1("content");
		assertEquals("content",bean.getPmRepresentantPMPrenom1());
		bean.setPmRepresentantPMPrenom2("content");
		assertEquals("content",bean.getPmRepresentantPMPrenom2());
		bean.setPmRepresentantPMPrenom3("content");
		assertEquals("content",bean.getPmRepresentantPMPrenom3());
		bean.setPmRepresentantPMPrenom4("content");
		assertEquals("content",bean.getPmRepresentantPMPrenom4());
		bean.setPmRepresentantQualite("content");
		assertEquals("content",bean.getPmRepresentantQualite());
		bean.setQualite("content");
		assertEquals("content",bean.getQualite());
		
	}
	@Test
	public void etablissementBeanTest() {
		
		EtablissementBean bean = new EtablissementBean();

		bean.setActiviteElevage("content");
		assertEquals("content",bean.getActiviteElevage());
		bean.setActiviteImmobiliere("content");
		assertEquals("content",bean.getActiviteImmobiliere());
		bean.setActiviteLieuExercice("content");
		assertEquals("content",bean.getActiviteLieuExercice());
		bean.setActiviteLieuExerciceAutre("content");
		assertEquals("content",bean.getActiviteLieuExerciceAutre());
		bean.setActivitePlusImportanteAgricole1("content");
		assertEquals("content",bean.getActivitePlusImportanteAgricole1());
		bean.setActivitePlusImportanteAgricole2("content");
		assertEquals("content",bean.getActivitePlusImportanteAgricole2());
		bean.setActivitesAccessoiresBICBNC("content");
		assertEquals("content",bean.getActivitesAccessoiresBICBNC());
		bean.setActiviteViticole("content");
		assertEquals("content",bean.getActiviteViticole());
		bean.setEstActiviteLiberale("content");
		assertEquals("content",bean.getEstActiviteLiberale());
		bean.setPeriodeActiviteSaisonniere1DateDebut("content");
		assertEquals("content",bean.getPeriodeActiviteSaisonniere1DateDebut());
		bean.setPeriodeActiviteSaisonniere1DateFin("content");
		assertEquals("content",bean.getPeriodeActiviteSaisonniere1DateFin());
		bean.setPeriodeActiviteSaisonniere2DateDebut("content");
		assertEquals("content",bean.getPeriodeActiviteSaisonniere2DateDebut());
		bean.setPeriodeActiviteSaisonniere2DateFin("content");
		assertEquals("content",bean.getPeriodeActiviteSaisonniere2DateFin());
		bean.setSecteurActivitePlusImportant("content");
		assertEquals("content",bean.getSecteurActivitePlusImportant());
		bean.setSecteursActivites("content");
		assertEquals("content",bean.getSecteursActivites());
	
	
	fr.ge.common.regent.bean.formalite.dialogue.modification.EtablissementBean  beanModif = new fr.ge.common.regent.bean.formalite.dialogue.modification.EtablissementBean();
	
		beanModif.setModifDateAdresse1("content");
		assertEquals("content",beanModif.getModifDateAdresse1());
		beanModif.setModifDateAdresse("content");
		assertEquals("content",beanModif.getModifDateAdresse());
		beanModif.setModifDateActivite("content");
		assertEquals("content",beanModif.getModifDateActivite());
		beanModif.setModifEvenements3("content");
		assertEquals("content",beanModif.getModifEvenements3());
		beanModif.setDestinationEtablissementPrincipal("content");
		assertEquals("content",beanModif.getDestinationEtablissementPrincipal());
		beanModif.setDestinationAutre1("content");
		assertEquals("content",beanModif.getDestinationAutre1());
		beanModif.setActivites1("content");
		assertEquals("content",beanModif.getActivites1());
		beanModif.setActivites2("content");
		assertEquals("content",beanModif.getActivites2());
		beanModif.setSuppressionActivitePar("content");
		assertEquals("content",beanModif.getSuppressionActivitePar());
		beanModif.setSuppressionActiviteAutre("content");
		assertEquals("content",beanModif.getSuppressionActiviteAutre());
		beanModif.setEffectifsalariePresence("content");
		assertEquals("content",beanModif.getEffectifsalariePresence());
		beanModif.setAqpaSalarieQualifie("content");
		assertEquals("content",beanModif.getAqpaSalarieQualifie());
		beanModif.setPeriodeActiviteSaisonniere1DateDebut("content");
		assertEquals("content",beanModif.getPeriodeActiviteSaisonniere1DateDebut());
		beanModif.setPeriodeActiviteSaisonniere1DateFin("content");
		assertEquals("content",beanModif.getPeriodeActiviteSaisonniere1DateFin());
		beanModif.setPeriodeActiviteSaisonniere2DateDebut("content");
		assertEquals("content",beanModif.getPeriodeActiviteSaisonniere2DateDebut());
		beanModif.setPeriodeActiviteSaisonniere2DateFin("content");
		assertEquals("content",beanModif.getPeriodeActiviteSaisonniere2DateFin());
		beanModif.setActivitesExerceesAgricole("content");
		assertEquals("content",beanModif.getActivitesExerceesAgricole());
		beanModif.setSecteursActivites("content");
		assertEquals("content",beanModif.getSecteursActivites());
		beanModif.setTransfertMemeDepartement("content");
		assertEquals("content",beanModif.getTransfertMemeDepartement());
	
	}
	
	
}
